#include <X11/Xlib.h>
#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[]) {
  Display *display = NULL;
  int screen = -1;
  Window window;
  XEvent event;

  display=XOpenDisplay(NULL);
  if(!display) {
    printf("Cannot open display\n");
    return EXIT_FAILURE;
  }
   
  screen = DefaultScreen(display);

  window=XCreateSimpleWindow(display, RootWindow(display, screen), 10, 10, 100, 100, 1, BlackPixel(display, screen), WhitePixel(display, screen));
  XMapWindow(display, window);

  XSelectInput(display, window, ExposureMask);

  GC gc = XCreateGC(display, window, 0, NULL);

  for(;;) {
    XNextEvent(display, &event);

    if(event.type == Expose) {
      XClearWindow(display, window);
      XDrawLine(display, window, gc, 10, 60, 180, 20);
      XFlush(display);
    }
  }

  XFreeGC(display, gc);
  
  XDestroyWindow(display, window);
  XCloseDisplay(display);

  return EXIT_SUCCESS;
 }